<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Historiska annonser - Sök bland annonser för åren 2016-2021</title>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,400i,700" rel="stylesheet">
    <link type="text/css" rel="stylesheet" href="bootstrap.materia.min.css"/>
    <link type="text/css" rel="stylesheet" href="showMore.css"/>
</head>

<style>
    #ad {
        margin-top: 20px;
        color: #444;
    }
    #employer-name {
        padding-top: 5px;
        padding-bottom: 20px;
    }
    img {
        width: 100px !important;
    }
</style>

<body class="container-fluid p-0">
<div class="container">
    <div class="row justify-content-center" id="ad">

    </div>
</div>


<footer class="container-fluid">
    <hr>
    <div class="row">
        <div class="col">
            <h4>Om sidan</h4>
            <ul>
                <li>Information om historiska annonser finns på <a href="https://gitlab.com/arbetsformedlingen/job-ads/getting-started-code-examples/historical-ads-info">GitLab</a> </li>
                <li>Annonserna kommer från Platsbanken och är från 2016 till 2021</li>
                <li>Innehållet på denna sida är fritt att använda. Annonserna är licenserade med CC0. Källkoden är
                    licenserat med Apache 2.
                </li>
                <li>Annonserna nås via ett <a href="https://dev-historical-api.jobtechdev.se">API</a> eller laddas ner som <a
                        href="https://data.jobtechdev.se/annonser/historiska">fil</a></li>
            </ul>
        </div>
        <div class="col">
            <h4>Om JobTech</h4>
            <ul>
                <li><a href="https://jobtechdev.se">Mer öppna data om arbetsmarknaden</a></li>
            </ul>
        </div>
    </div>
</footer>


<script src="ad.js"></script>
<script src="https://unpkg.com/mustache@latest"></script>

<script id="ad-template" type="x-tmpl-mustache">
        <div class="card">
            <div class="card-header">
                Historisk annons
            </div>
            {{#has_logo_url}}
            <img src="{{logo_url}}" class="card-img-top" alt="logo url">
            {{/has_logo_url}}
            <div class="card-body">
            <h5 class="card-title">{{headline}}</h5>
            <h6 id="employer-name" class="card-subtitle mb-2 text-muted">{{employer.name}}</h6>
            <p class="card-text"><strong>Orginalid:</strong> {{original_id}}</p>
            <p class="card-text"><strong>Publiceringsdatum:</strong> {{publication_date}} Kl: {{publication_time}}</p>
            <p class="card-text"><strong>Sista publiceringsdatum:</strong> {{last_publication_date}} Kl: {{last_publication_time}}</p>
            <p class="card-text"><strong>Sista ansökningsdatum:</strong> {{application_date}} Kl: {{application_time}}</p>
            <p class="card-text"><strong>Uppdaterad:</strong> {{updated_date}} Kl: {{updated_time}}</p>

            <h6 id="description">Om jobbet</h6>
            <p>{{description.text}}</p>

            <h6>Länk till annons i JSON-format</h6>
            <p><a href=https://dev-historical-api.jobtechdev.se/ad/{{ id }} target=_blank>Annons {{ id }}</p>

        </div>

</script>

<script id="ad-failed-template" type="x-tmpl-mustache">
        <div class="card">
            <div class="card-header">
                Historisk annons
            </div>
            <div class="card-body">
                <h5 class="card-title">{{error_message}}</h5>
            </div>
        </div>
</script>

</body>
</html>
